**Source URL:** https://limited.veevavault.dev/clinical/vault-api/api-reference/19.1/vault-objects/object-record-attachments/determine-if-attachments-are-enabled-on-an-object.md

# Determine if Attachments are Enabled on an Object



<Endpoint path="/api/{version}/metadata/vobjects/{object_name}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{object_name}` | The object `name__v` field value (`product__v`, `country__v`, `custom_object__c`, etc.). |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/metadata/vobjects/site__v

```
</CodeExample>

## Response (abridged) {#response-abridged}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "object": {
        "created_date": "2014-02-03T20:12:29.000Z",
        "created_by": 1,
        "allow_attachments": true,
        "auditable": true,
        "modified_date": "2015-01-06T22:34:15.000Z",
        "status": [
            "active__v"
        ],
        "urls": {
            "field": "/api/v15.0/metadata/vobjects/site__v/fields/{NAME}",
            "record": "/api/v15.0/vobjects/site__v/{id}",
            "attachments": "/api/v15.0/vobjects/site__v/{id}/attachments",
            "list": "/api/v15.0/vobjects/site__v",
            "metadata": "/api/v15.0/metadata/vobjects/site__v"
        },
        "label_plural": "Study Sites",
        "role_overrides": false,
        "label": "Study Site",
        "in_menu": true,
        "help_content": null,
        "source": "standard",
        "order": null,
        "modified_by": 46916,
        "description": null,
        "name": "site__v"
    }
}

```
</CodeExample>

## Response Details {#response-details}

Shown above, "allow_attachments" is set to `true` for this object and "attachments" is included in the list of urls, indicating that attachments are enabled on the `site__v` object. This means that any of the object records can have attachments.



---

**Previous:** [Object Record Attachments](/clinical/vault-api/api-reference/19.1/vault-objects/object-record-attachments)  
**Next:** [Retrieve Object Record Attachments](/clinical/vault-api/api-reference/19.1/vault-objects/object-record-attachments/retrieve-object-record-attachments)